apiVersion: apps/v1
kind: Deployment
metadata:
  name: computeservice
spec:
  selector:
    matchLabels:
      app: computeservice
  template:
    metadata:
      labels:
        app: computeservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/compute:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 9090
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:9090"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:9090"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: computeservice
spec:
  type: ClusterIP
  selector:
    app: computeservice
  ports:
  - name: grpc
    port: 9090
    targetPort: 9090
---
apiVersion: v1
kind: Service
metadata:
  name: computeservice-public
  labels:
    app: computeservice
spec:
  type: NodePort
  selector:
    app: computeservice
  ports:
  - name: grpc
    protocol: TCP
    port: 9090
    targetPort: 9090
---
